<div class="example-container">
  <mat-toolbar color="primary" class="example-toolbar" *ngIf="loginService.estaLogeado()">
    <button mat-icon-button (click)="sidenav.toggle()">
      <mat-icon *ngIf="!sidenav.opened">menu</mat-icon>
      <mat-icon *ngIf="sidenav.opened">close</mat-icon>
    </button>

    <h1 class="example-app-name">BCP AGENCIAS</h1>

    <span class="example-spacer"></span>

    <button mat-icon-button [matMenuTriggerFor]="menu">
      <mat-icon>more_vert</mat-icon>
    </button>

    <mat-menu #menu="matMenu">
    
      <button mat-menu-item (click)="sidenav.opened = false" (click)="loginService.cerrarSesion()">
        <mat-icon>exit_to_app</mat-icon>
        <span>Cerrar Sesión</span>
      </button>
    </mat-menu>
  </mat-toolbar>

  <mat-sidenav-container class="example-sidenav-container">
    <mat-sidenav #sidenav style="width: 200px">
     
<!--
      <div *ngFor="let m of menus">
        <button mat-menu-item (click)="sidenav.toggle()" routerLink="{{m.url}}" style="cursor: pointer">
          <mat-icon>{{m.icono}}</mat-icon>
          <span>{{m.nombre}}</span>
        </button>
        <mat-divider></mat-divider>
      </div>

-->
<button mat-menu-item (click)="sidenav.toggle()" routerLink="/buscar" style="cursor: pointer">
        <mat-icon>search</mat-icon>
        <span>Buscar</span>
      </button>
     
    </mat-sidenav>

    <mat-sidenav-content>
      <router-outlet></router-outlet>
    </mat-sidenav-content>
  </mat-sidenav-container>

</div>
